SHARE
TWEET

Untitled

a guest Sep 17th, 2019 99 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Error:
  2. Odoo Server Error
  3.  
  4. Traceback (most recent call last):
  5.   File "/home/accounts/src/odoo/saas-12.4/odoo/tools/cache.py", line 86, in lookup
  6.     r = d[key]
  7.   File "/home/accounts/src/odoo/saas-12.4/odoo/tools/func.py", line 69, in wrapper
  8.     return func(self, *args, **kwargs)
  9.   File "/home/accounts/src/odoo/saas-12.4/odoo/tools/lru.py", line 44, in __getitem__
  10.     a = self.d[obj].me
  11. KeyError: ('ir.actions.actions', <function IrActions.get_bindings at 0x7f251b9d3950>, frozenset({258, 130, 3, 4, 6, 7, 259, 276, 20, 29, 167, 45, 174, 54, 55, 56, 190, 192, 193, 199, 201, 85, 215, 121, 226, 99, 100, 102, 231, 103, 105, 106, 109, 238, 239, 240, 114, 116, 117, 249, 254}), 'stock.move')
  12.  
  13. During handling of the above exception, another exception occurred:
  14.  
  15. Traceback (most recent call last):
  16.   File "/home/accounts/src/odoo/saas-12.4/odoo/http.py", line 631, in _handle_exception
  17.     return super(JsonRequest, self)._handle_exception(exception)
  18.   File "/home/accounts/src/odoo/saas-12.4/odoo/http.py", line 325, in _handle_exception
  19.     raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  20.   File "/home/accounts/src/odoo/saas-12.4/odoo/tools/pycompat.py", line 14, in reraise
  21.     raise value
  22.   File "/home/accounts/src/odoo/saas-12.4/odoo/http.py", line 671, in dispatch
  23.     result = self._call_function(**self.params)
  24.   File "/home/accounts/src/odoo/saas-12.4/odoo/http.py", line 357, in _call_function
  25.     return checked_call(self.db, *args, **kwargs)
  26.   File "/home/accounts/src/odoo/saas-12.4/odoo/service/model.py", line 97, in wrapper
  27.     return f(dbname, *args, **kwargs)
  28.   File "/home/accounts/src/odoo/saas-12.4/odoo/http.py", line 350, in checked_call
  29.     result = self.endpoint(*a, **kw)
  30.   File "/home/accounts/src/odoo/saas-12.4/odoo/http.py", line 914, in __call__
  31.     return self.method(*args, **kw)
  32.   File "/home/accounts/src/odoo/saas-12.4/odoo/http.py", line 522, in response_wrap
  33.     response = f(*args, **kw)
  34.   File "/home/accounts/src/odoo/saas-12.4/addons/web/controllers/main.py", line 949, in call_kw
  35.     return self._call_kw(model, method, args, kwargs)
  36.   File "/home/accounts/src/odoo/saas-12.4/addons/web/controllers/main.py", line 941, in _call_kw
  37.     return call_kw(request.env[model], method, args, kwargs)
  38.   File "/home/accounts/src/odoo/saas-12.4/odoo/api.py", line 741, in call_kw
  39.     return _call_kw_model(method, model, args, kwargs)
  40.   File "/home/accounts/src/odoo/saas-12.4/odoo/api.py", line 714, in _call_kw_model
  41.     result = method(recs, *args, **kwargs)
  42.   File "/home/accounts/src/odoo/saas-12.4/odoo/models.py", line 1395, in load_views
  43.     for [v_id, v_type] in views
  44.   File "/home/accounts/src/odoo/saas-12.4/odoo/models.py", line 1395, in <dictcomp>
  45.     for [v_id, v_type] in views
  46.   File "/home/accounts/src/odoo/saas-12.4/addons/web/models/models.py", line 202, in fields_view_get
  47.     r = super().fields_view_get(view_id, view_type, toolbar, submenu)
  48.   File "/home/accounts/src/odoo/saas-12.4/odoo/models.py", line 1488, in fields_view_get
  49.     bindings = self.env['ir.actions.actions'].get_bindings(self._name)
  50.   File "<decorator-gen-37>", line 2, in get_bindings
  51.   File "/home/accounts/src/odoo/saas-12.4/odoo/tools/cache.py", line 91, in lookup
  52.     value = d[key] = self.method(*args, **kwargs)
  53.   File "/home/accounts/src/odoo/saas-12.4/odoo/addons/base/models/ir_actions.py", line 117, in get_bindings
  54.     action = self.env[action_model].browse(action_id)
  55.   File "/home/accounts/src/odoo/saas-12.4/odoo/api.py", line 817, in __getitem__
  56.     return self.registry[model_name]._browse(self, (), ())
  57.   File "/home/accounts/src/odoo/saas-12.4/odoo/modules/registry.py", line 176, in __getitem__
  58.     return self.models[model_name]
  59. KeyError: 'ir.actions.wizard'
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Not a member of Pastebin yet?
Sign Up, it unlocks many cool features!
 
Top